<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::aip::ESPData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html">aip</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html">ESPData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::aip::ESPData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_e_s_p_data_8h_source.html">ESPData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac813f2c52e5904274e2d646edbfff211"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#ac813f2c52e5904274e2d646edbfff211">ESPData</a> ()=default</td></tr>
<tr class="separator:ac813f2c52e5904274e2d646edbfff211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa101f7cfaf59c9e3b22213744af51dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#afa101f7cfaf59c9e3b22213744af51dd">ESPData</a> (const std::string &amp;voiceEnergy, const std::string &amp;ambientEnergy)</td></tr>
<tr class="separator:afa101f7cfaf59c9e3b22213744af51dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44ec65c77fa752ae16197fa6cfe52b35"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#a44ec65c77fa752ae16197fa6cfe52b35">getVoiceEnergy</a> () const</td></tr>
<tr class="separator:a44ec65c77fa752ae16197fa6cfe52b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5578e2382ec954481cd28d6d0368b8b4"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#a5578e2382ec954481cd28d6d0368b8b4">getAmbientEnergy</a> () const</td></tr>
<tr class="separator:a5578e2382ec954481cd28d6d0368b8b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac17e050d67d84b4ca72f2a67106ade7d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#ac17e050d67d84b4ca72f2a67106ade7d">verify</a> () const</td></tr>
<tr class="separator:ac17e050d67d84b4ca72f2a67106ade7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29a508de10342fca0737466d76d5e76c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#a29a508de10342fca0737466d76d5e76c">isEmpty</a> () const</td></tr>
<tr class="separator:a29a508de10342fca0737466d76d5e76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ad2bba3044806a2b1567c2fd538a25de3"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html">ESPData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#ad2bba3044806a2b1567c2fd538a25de3">getEmptyESPData</a> ()</td></tr>
<tr class="separator:ad2bba3044806a2b1567c2fd538a25de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A class representation of the Echo Spatial Perception (ESP) data. This data is used by AVS for device arbitration. The ESP measurement data needs to be sent in the <code>ReportEchoSpatialPerceptionData</code> event to AVS before its corresponding <code>Recognize</code> event. Please note that AVS specifies that the voice energy and ambient energy ESP measurements are float numbers, but in order to remove the dependency of float with the SDK, the float numbers will be represented as a string. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac813f2c52e5904274e2d646edbfff211"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac813f2c52e5904274e2d646edbfff211">&#9670;&nbsp;</a></span>ESPData() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::aip::ESPData::ESPData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afa101f7cfaf59c9e3b22213744af51dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa101f7cfaf59c9e3b22213744af51dd">&#9670;&nbsp;</a></span>ESPData() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::aip::ESPData::ESPData </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>voiceEnergy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ambientEnergy</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5578e2382ec954481cd28d6d0368b8b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5578e2382ec954481cd28d6d0368b8b4">&#9670;&nbsp;</a></span>getAmbientEnergy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::aip::ESPData::getAmbientEnergy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2bba3044806a2b1567c2fd538a25de3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2bba3044806a2b1567c2fd538a25de3">&#9670;&nbsp;</a></span>getEmptyESPData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html">ESPData</a> alexaClientSDK::capabilityAgents::aip::ESPData::getEmptyESPData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a44ec65c77fa752ae16197fa6cfe52b35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44ec65c77fa752ae16197fa6cfe52b35">&#9670;&nbsp;</a></span>getVoiceEnergy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::aip::ESPData::getVoiceEnergy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a29a508de10342fca0737466d76d5e76c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29a508de10342fca0737466d76d5e76c">&#9670;&nbsp;</a></span>isEmpty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::aip::ESPData::isEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac17e050d67d84b4ca72f2a67106ade7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac17e050d67d84b4ca72f2a67106ade7d">&#9670;&nbsp;</a></span>verify()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::aip::ESPData::verify </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/AIP/include/AIP/<a class="el" href="_e_s_p_data_8h_source.html">ESPData.h</a></li>
<li>/workplace/avs-device-sdk/CapabilityAgents/AIP/src/<a class="el" href="_e_s_p_data_8cpp.html">ESPData.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
